Bug 1007129 - Upgrade Drools/jBPM to 6.0.0.CR3
Upgrade Drools/jBPM to 6.0.0.CR3
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER3
: ---
Assigned To: David Ward
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 21:16 EDT by Keith Babo
Modified: 2015-08-02 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1697 Blocker Closed Upgrade Drools/jBPM to 6.0.0.CR3 2014-06-16 19:52:01 EDT

  None (edit)
Description Keith Babo 2013-09-11 21:16:06 EDT
Bump Drools KIE version to 6.0.0.CR3 and fix fallout related to event listener registration.  Here's what's involved:

1) switch to using the KIE listener APIs exclusively for user-supplied listeners. This will allow us to stick with the public API for listener registration.

2) The "old" Drools listeners will no longer be supported based on Edson's comments that these contracts are actively discouraged by the Drools team.

This means the old Drools listeners will not be supported in FSW 6 Beta.  Existing apps which use these interfaces will need to change to the equivalent (almost identical) KIE interfaces.  I will file a separate BZ to track the investigation into the legacy wrapper support for the old Drools listeners.  Assuming the legacy wrapper is a workable option, we will use that to re-enable support for the old listener interfaces for FSW GA.
Comment 1 JBoss JIRA Server 2013-09-12 03:00:56 EDT
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1697

https://github.com/jboss-switchyard/parent/pull/176
https://github.com/jboss-switchyard/components/pull/565
https://github.com/jboss-switchyard/quickstarts/pull/270
https://github.com/jboss-switchyard/release/pull/292

JUnit tests pass. Quickstarts pass, auto and manual. Release passes. Manual run of helpdesk quickstart in browser also passes.  Good to go!
Comment 2 JBoss JIRA Server 2013-09-12 09:53:10 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1697

pushed
Comment 3 Len DiMaggio 2013-10-04 15:06:39 EDT
Verified in the Oct 4 ER4 respin #3 build:

8001484   84 -rw-rw-r--   1 ldimaggi ldimaggi    85348 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-kie-services-6.0.0-redhat-4.jar
8001457  144 -rw-rw-r--   1 ldimaggi ldimaggi   147227 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-flow-builder-6.0.0-redhat-4.jar
8001452   60 -rw-rw-r--   1 ldimaggi ldimaggi    57716 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-audit-6.0.0-redhat-4.jar
8001490   16 -rw-rw-r--   1 ldimaggi ldimaggi    16022 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-meta-inf-6.0.0-redhat-4.jar
8001501   68 -rw-rw-r--   1 ldimaggi ldimaggi    69086 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-workitems-6.0.0-redhat-4.jar
8001469  348 -rw-rw-r--   1 ldimaggi ldimaggi   355134 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-human-task-core-6.0.0-redhat-4.jar
8001474   28 -rw-rw-r--   1 ldimaggi ldimaggi    26657 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-human-task-workitems-6.0.0-redhat-4.jar
8001456  752 -rw-rw-r--   1 ldimaggi ldimaggi   768154 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-flow-6.0.0-redhat-4.jar
8001497   72 -rw-rw-r--   1 ldimaggi ldimaggi    73346 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-runtime-manager-6.0.0-redhat-4.jar
8001461  152 -rw-rw-r--   1 ldimaggi ldimaggi   153292 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-form-services-6.0.0-redhat-4.jar
8001499   28 -rw-rw-r--   1 ldimaggi ldimaggi    27065 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-shared-services-6.0.0-redhat-4.jar
8001491   40 -rw-rw-r--   1 ldimaggi ldimaggi    37922 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-persistence-jpa-6.0.0-redhat-4.jar
8001453  228 -rw-rw-r--   1 ldimaggi ldimaggi   232615 Oct  2 19:20 ./modules/system/layers/soa/org/jbpm/main/jbpm-bpmn2-6.0.0-redhat-4.jar
Comment 7 JBoss JIRA Server 2014-06-16 19:52:03 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1697 to Closed

Note You need to log in before you can comment on or make changes to this bug.